#include <sys/signal.h>
#include "forms.h"
#include "xinterface.h"

/* Global, unfortunately the only way to pass these to callback routines */
FD_xmdsptool *xmd;
FL_OBJECT *textbox;

extern int verify_devices(FD_xmdsptool *); /* functions.c */

int main(int argc,char **argv)
{
 int d;
 char msg[128];
 fl_set_icm_color(0,0,0,0);
 fl_set_icm_color(1,0,0,0);
 fl_set_icm_color(2,0,0,0);
 fl_initialize(&argc,argv, "Xmdsptool", 0, 0);
 xmd=create_form_xmdsptool();
 textbox=xmd->text;
 d=verify_devices(xmd);
 sprintf(msg,"Found %d MDSP devices.\nPlease select a button.\n",d);
 fl_addto_browser(textbox, msg);
 fl_set_browser_fontsize(textbox, 12);
 fl_set_browser_fontstyle(textbox, 1);
 fl_show_form(xmd->xmdsptool,0,0,"Xmdsptool V1.0 (C) Klaus Knopper");
 signal(SIGCHLD,SIG_IGN); /* No zombie processes */
 fl_do_forms();
 return 0;
}
